Package org.apache.commons.compress.harmony.unpack200

# Class ClassBands

java.lang.Object
org.apache.commons.compress.harmony.unpack200.BandSet
org.apache.commons.compress.harmony.unpack200.ClassBands

public class ClassBands extends BandSet
Class Bands

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

  `header, segment`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassBands(Segment segment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayList<Attribute>[]`
  `getClassAttributes()`
  `int[]`
  `getClassFieldCount()`
  `long[]`
  `getClassFlags()`
  `int[][]`
  `getClassInterfacesInts()`
  `int[]`
  `getClassMethodCount()`
  `int[]`
  `getClassSuperInts()`
  `int[]`
  `getClassThisInts()`
  `int[]`
  `getClassVersionMajor()`
  Returns null if all classes should use the default major and minor version or an array of integers containing the major version numberss to use for each class in the segment
  `int[]`
  `getClassVersionMinor()`
  Returns null if all classes should use the default major and minor version or an array of integers containing the minor version numberss to use for each class in the segment
  `int[][]`
  `getCodeHandlerCatchPO()`
  `int[][]`
  `getCodeHandlerClassRCN()`
  `int[]`
  `getCodeHandlerCount()`
  `int[][]`
  `getCodeHandlerEndPO()`
  `int[][]`
  `getCodeHandlerStartP()`
  `boolean[]`
  `getCodeHasAttributes()`
  `int[]`
  `getCodeMaxNALocals()`
  `int[]`
  `getCodeMaxStack()`
  `ArrayList<Attribute>[][]`
  `getFieldAttributes()`
  `int[][]`
  `getFieldDescrInts()`
  `long[][]`
  `getFieldFlags()`
  `IcTuple[][]`
  `getIcLocal()`
  `ArrayList<Attribute>[][]`
  `getMethodAttributes()`
  `String[][]`
  `getMethodDescr()`
  `int[][]`
  `getMethodDescrInts()`
  `long[][]`
  `getMethodFlags()`
  `ArrayList<List<Attribute>>`
  `getOrderedCodeAttributes()`
  Gets an ArrayList of ArrayLists which hold the code attributes corresponding to all classes in order.
  `long[]`
  `getRawClassFlags()`
  `void`
  `read(InputStream in)`
  `void`
  `unpack()`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

  `decodeBandInt, decodeBandInt, getReferences, getReferences, parseCPClassReferences, parseCPDescriptorReferences, parseCPDoubleReferences, parseCPFieldRefReferences, parseCPFloatReferences, parseCPInterfaceMethodRefReferences, parseCPIntReferences, parseCPLongReferences, parseCPMethodRefReferences, parseCPSignatureReferences, parseCPSignatureReferences, parseCPStringReferences, parseCPUTF8References, parseCPUTF8References, parseFlags, parseFlags, parseFlags, parseFlags, parseReferences, parseReferences, unpack`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassBands

    public ClassBands(Segment segment)
    Parameters:
      `segment` - TODO

- ## Method Details

  - ### getClassAttributes

    public ArrayList<Attribute>[] getClassAttributes()

  - ### getClassFieldCount

    public int[] getClassFieldCount()

  - ### getClassFlags

    public long[] getClassFlags()

  - ### getClassInterfacesInts

    public int[][] getClassInterfacesInts()

  - ### getClassMethodCount

    public int[] getClassMethodCount()

  - ### getClassSuperInts

    public int[] getClassSuperInts()

  - ### getClassThisInts

    public int[] getClassThisInts()

  - ### getClassVersionMajor

    public int[] getClassVersionMajor()
    Returns null if all classes should use the default major and minor version or an array of integers containing the major version numberss to use for each class in the segment
    Returns:
      Class file major version numbers, or null if none specified

  - ### getClassVersionMinor

    public int[] getClassVersionMinor()
    Returns null if all classes should use the default major and minor version or an array of integers containing the minor version numberss to use for each class in the segment
    Returns:
      Class file minor version numbers, or null if none specified

  - ### getCodeHandlerCatchPO

    public int[][] getCodeHandlerCatchPO()

  - ### getCodeHandlerClassRCN

    public int[][] getCodeHandlerClassRCN()

  - ### getCodeHandlerCount

    public int[] getCodeHandlerCount()

  - ### getCodeHandlerEndPO

    public int[][] getCodeHandlerEndPO()

  - ### getCodeHandlerStartP

    public int[][] getCodeHandlerStartP()

  - ### getCodeHasAttributes

    public boolean[] getCodeHasAttributes()

  - ### getCodeMaxNALocals

    public int[] getCodeMaxNALocals()

  - ### getCodeMaxStack

    public int[] getCodeMaxStack()

  - ### getFieldAttributes

    public ArrayList<Attribute>[][] getFieldAttributes()

  - ### getFieldDescrInts

    public int[][] getFieldDescrInts()

  - ### getFieldFlags

    public long[][] getFieldFlags()

  - ### getIcLocal

    public IcTuple[][] getIcLocal()

  - ### getMethodAttributes

    public ArrayList<Attribute>[][] getMethodAttributes()

  - ### getMethodDescr

    public String[][] getMethodDescr()

  - ### getMethodDescrInts

    public int[][] getMethodDescrInts()

  - ### getMethodFlags

    public long[][] getMethodFlags()

  - ### getOrderedCodeAttributes

    public ArrayList<List<Attribute>> getOrderedCodeAttributes()
    Gets an ArrayList of ArrayLists which hold the code attributes corresponding to all classes in order. If a class doesn't have any attributes, the corresponding element in this list will be an empty ArrayList.
    Returns:
      ArrayList

  - ### getRawClassFlags

    public long[] getRawClassFlags()

  - ### read

    public void read(InputStream in) throws IOException, Pack200Exception
    Specified by:
      `read` in class `BandSet`
    Throws:
      `IOException`
      `Pack200Exception`

  - ### unpack

    public void unpack()
    Specified by:
      `unpack` in class `BandSet`